Subject: Large Object Interface

From: M92 <[email-masked]>
Date: Wed, 16 Jun 93 08:32:49 -0700

I'm attempting to use the postgres large object interface in the code for a 
dynamicallly loaded C-function - i.e. the LO* commands. 
The intended use of the function is to output the contents of an inversion large
object store in the database.
The program has the include files :

#include <sys/file.h>
#include "tmp/postgres.h"
#include "catalog/pg_lobj.h"
#include "tmp/libpq-fs.h"
#include "tmp/libpq-fe.h"

and I'm using the command line

cc -o lo_retrieve.o -I/usr/postgres/src/lib/H lo_retrieve.c /usr/postgres/obj.sunos4/libpq.a

the comiler returns the warning :

"lo_retrieve.c", line 18: warning: illegal combination of pointer and integer, op =
ld: Undefined symbol 
   _LOread 
   _LOopen 
   _LOclose 

Am I missing a library option for the compile line ? 
I've had a look around the postgres implementation but haven't been able to find
any mention of these functions. I have found a file called large_object.h which includes declarations for the functions such as LOClose. 
Can anyone explain what this file is for ? 
Has anyone any tips on the function that I'm trying to write ?

Thanks, Paul.